SOAP VersionMismatch Exception Calling a Web Service that Supports SOAP 1.2 from a BPEL Process (Doc ID 788152.1)

Last updated on OCTOBER 18, 2016

Applies to:

Oracle(R) BPEL Process Manager - Version 10.1.3.3 and later
Information in this document applies to any platform.
This problem can occur on any platform.

Symptoms

When attempting to call from BPEL (that by default supports SOAP 1.1) a Web Service that only supports SOAP 1.2 the following error occurs:

dynamic invocation error: oracle.j2ee.ws.saaj.soap.SOAPVersionMismatchException: Mime Header
Content-Type: text/xml requires SOAP envelope namespace: http://schemas.xmlsoap.org/soap/envelope/

Cause

Sign In with your My Oracle Support account

Don't have a My Oracle Support account? Click to get started

My Oracle Support provides customers with access to over a
Million Knowledge Articles and hundreds of Community platforms